package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.vo.KuaiShouVideoGetVo;
import cn.com.ctop.kuaishou.modules.report.entity.KuaiShouReportDailyMaterial;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 素材
 * @Author: jeecg-boot
 * @Date: 2020-09-09
 * @Version: V1.0
 */
public interface IKuaiShouReportDailyMaterialService extends IService<KuaiShouReportDailyMaterial> {

    List<KuaiShouVideoGetVo> getVideoList(Map<String, Object> requestMap);

    void getMaterialReportByAccountIdAndStatDate(Long accountId, String token, String startDate, String endDate, Integer page);

    List<KuaiShouReportDailyMaterial> getSignatureByDate(String date);

    KuaiShouReportDailyMaterial getEtlDataByParams(String signature, String date,Long projectId);

    List<KuaiShouReportDailyMaterial> getSignatureByDateGroupByProjectId(String date);
}
